<?php
/**
 * Plugin Name: WooCommerce Order Display - Coupons (EasyToolsWP)
 * Description: Adds a column on the order summary in WooCommerce to show the coupon savings.
 * Version: 1.0.1
 * Author: EasyToolsWP.com
 * Author URI: https://www.easytoolswp.com
 */

add_filter( 'manage_edit-shop_order_columns', 'custom_shop_order_column_coupon' );
function custom_shop_order_column_coupon( $columns ) {
    $columns['coupon_savings'] = __('Kuponbesparelse', 'woocommerce');
    return $columns;
}

add_action( 'manage_shop_order_posts_custom_column', 'custom_shop_order_column_coupon_content' );
function custom_shop_order_column_coupon_content( $column ) {
    global $post, $woocommerce;

    if ( $column == 'coupon_savings' ) {
        $order = wc_get_order( $post->ID );

        $coupons = $order->get_used_coupons();

        if ( ! empty( $coupons ) ) {
            foreach ( $coupons as $coupon_code ) {
                // Hent besparelsen for hver kupon
                $coupon = new WC_Coupon( $coupon_code );
                $coupon_amount = $coupon->get_amount();

                echo '<p><strong>' . $coupon_code . '</strong>: ' . wc_price( $coupon_amount ) . '</p>';
            }
        } else {
            echo '-';
        }
    }
}
